%global optflags %{optflags} -fdiagnostics-color=always

Name:           ly
Version:        0.5.0
Release:        1%{?dist}
Summary:        TUI (ncurses-like) display manager

License:        WTFPL
URL:            https://github.com/cylgom/ly
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  git-core
BuildRequires:  pam-devel
BuildRequires:  systemd
BuildRequires:  pkgconfig(xcb)

%description
Ly is a lightweight TUI (ncurses-like) display manager for Linux and BSD.

%prep
%autosetup
git clone --recursive https://github.com/cylgom/ly
cp -ar ly/.git %{_builddir}/%{name}-%{version}/


%build
%make_build github
%make_build


%install
%make_install


%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service


%files
%license license.md
%doc readme.md
%{_bindir}/%{name}
%{_sysconfdir}/ly/
%{_unitdir}/*.service


%changelog
* Sat Feb 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- Update to 0.5.0

* Wed Nov 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.0-1
- Initial package
